#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i;
    scanf("%d %d", &n, &k);
    int a[n];
    for(i=1; i<=n; i++){
        scanf("%d", &a[i]);
    }
    for(i=1; i<=n+1; i++){
        if(a[i]==k){
            if(a[i]==a[n]){
                printf("%d", a[1]);
            }
            else{
                printf("%d", a[i+1]);
            }
        }
    }
}